import request from "@/utils/request";
// const Login = (params:any)=>{
//     request({
//         url: "/log",
//         params
//     });

// }
 
export const getRouters = async (params: any) => {
 return  await request({
    url: "/init/list-menus",
    method:'post',
    params,
  });
};

export const createRegister = async(params: any)=>{
  return  await request({
    url: "/user/register",
    method:'post',
    params,
  });
}

export const onLogin = async(data: any)=>{
  return  await request({
    url: "/pub/login",
    method:'post',
    data,
  });
}
// /aaa/tt
export const onTest = async(data: any)=>{
  return  await request({
    url: "/aaa/tt",
    method:'post',
    data,
  });
}
export const payConfigGetSearch = async(id:number)=>{
  return  await request({
    url: `/pay/select?uid=${id}`,
    method:'post',
  });
} 

export const onZfbPay = async(data:any)=>{
  return  await request({
    url: `/pay/createali`,
    method:'post',
    data
  });
} 

export const onWxPay = async(data:any)=>{
  return  await request({
    url: `/pay/createwx`,
    method:'post',
    data
  });
} 

export const getPaySelect = async(uid:any)=>{
  return  await request({
    url: `/pay/select?uid=${uid}`,
    method:'post',
  });
} 
export const onUpdate = async(data:any)=>{
  return  await request({
    url: `/pay/updateali`,
    method:'post',
    data
  });
}
export const onSearchSelectrealmName = async(uid:any)=>{
  return  await request({
    url: `/pay/selectrealmname?uid=${uid}`,
    method:'post',
  });
} 

export const onCreaterealmName = async(data:any)=>{
  return  await request({
    url: `/pay/createrealmname`,
    method:'post',
    data
  });
} 

export const onUpdaterealmName = async(data:any)=>{
  return  await request({
    url: `/pay/updaterealmname`,
    method:'post',
    data
  });
} 

// /pay/createrealmname

// /user/register